package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TaskDataMapper;
import com.ruoyi.system.domain.TaskData;
import com.ruoyi.system.service.ITaskDataService;
import com.ruoyi.common.core.text.Convert;

/**
 * 归因数据回传Service业务层处理
 *
 * @author ruoyi
 * @date 2023-10-29
 */
@Service
public class TaskDataServiceImpl implements ITaskDataService
{
    @Autowired
    private TaskDataMapper taskDataMapper;

    /**
     * 查询归因数据回传
     *
     * @param id 归因数据回传主键
     * @return 归因数据回传
     */
    @Override
    public TaskData selectTaskDataById(Long id)
    {
        return taskDataMapper.selectTaskDataById(id);
    }

    /**
     * 查询归因数据回传列表
     *
     * @param taskData 归因数据回传
     * @return 归因数据回传
     */
    @Override
    public List<TaskData> selectTaskDataList(TaskData taskData)
    {
        return taskDataMapper.selectTaskDataList(taskData);
    }

    /**
     * 新增归因数据回传
     *
     * @param taskData 归因数据回传
     * @return 结果
     */
    @Override
    public int insertTaskData(TaskData taskData)
    {
        taskData.setCreateTime(DateUtils.getNowDate());
        return taskDataMapper.insertTaskData(taskData);
    }

    /**
     * 修改归因数据回传
     *
     * @param taskData 归因数据回传
     * @return 结果
     */
    @Override
    public int updateTaskData(TaskData taskData)
    {
        taskData.setUpdateTime(DateUtils.getNowDate());
        return taskDataMapper.updateTaskData(taskData);
    }

    /**
     * 批量删除归因数据回传
     *
     * @param ids 需要删除的归因数据回传主键
     * @return 结果
     */
    @Override
    public int deleteTaskDataByIds(String ids)
    {
        return taskDataMapper.deleteTaskDataByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除归因数据回传信息
     *
     * @param id 归因数据回传主键
     * @return 结果
     */
    @Override
    public int deleteTaskDataById(Long id)
    {
        return taskDataMapper.deleteTaskDataById(id);
    }
}
